<?php
header("Content-Type: text/html;charset=utf-8");
require_once("dbcontroller.php");
//require_once("database.php");
include("JSON.php");
include("AES.php");
include("horario.php");
/* 
A domain Class to demonstrate RESTful web services
*/
Class Mobile {

	private $mobiles = array();
	
	

	
	public function getUsuario(){
	   if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
	   if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
	   if (isset($_REQUEST['extension'])){$extusr=$_REQUEST['extension'];}else{$extusr="";}
	   if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
	   if (isset($_REQUEST['clave'])){$clave=$_REQUEST['clave'];}else{$clave="";}
	   if($rol=="empleado"){
		   $codemp="";
	   }
	   $clave=encriptar($clave);
	   //echo $clave;
	   
	   if($codemp!=''){$DBclase="DBC".$codemp;}else{$DBclase="DBController";}
		    //$nomtab="usr_".$extusr;conusu as clave,
			$nomtab="usrweb";
			$query = "SELECT nomper as nombre,nomusu as usuario,nriper,peremp as empresas,dftemp FROM ".$nomtab." where nomusu='".$usuario."'" ;
			
			if($rol=="empleado"){
				 $query=$query." and conusu='8057' ";
	   		}else{
				$query=$query." and conusu='".$clave."'";	
			}
			//echo $query;
			$dbcontroller = new $DBclase();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			
			return $this->mobiles;
			/* Mas adelante debemos desencriptar la clave aqui y no en javascript*/
	}	
	
	public function getLicencia(){
		if (isset($_REQUEST['nit'])){$nit=$_REQUEST['nit'];}else{$nit="";}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if($codemp!=''){$DBclase="DBC".$codemp;}else{$DBclase="DBController";}
		//echo DBclase;
	   $conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   $conng-> set_charset("utf8");
	   if($result = $conng->query("select * from licemp where conedb='".$codemp."'")) {
   			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
			       $nit =  $row["nriper"];
           	   	} mysqli_free_result($result);
				//echo $nit;
				$query = "SELECT nitemp as nit,nomcom as nomcomercial,nomemp as nomempresa,diremp as dirempresa,fteodb FROM admemp where nitemp='".$nit."'" ;
				//$dbcontroller = new DBController();
				$dbcontroller = new $DBclase;
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
	   }
	}
	
	public function getActividad(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
	   	if (isset($_REQUEST['actividad'])){$actividad=$_REQUEST['actividad'];}else{$actividad="";}
		if (isset($_REQUEST['observacion'])){$observacion=$_REQUEST['observacion'];}else{$observacion="";}
		if($tipo=="r"){
			$query = "insert into lawact(nomact,obsact) values('".$actividad."','".$observacion."')";
			$dbcontroller = new DBController();
			$Resp = $dbcontroller->executeInsertQuery($query);
			if($Resp!="ok"){
				return "ERROR";
			}
		}
		if($tipo=="l"){
			$query = "SELECT * FROM lawact where estact!='".$syseli."' order by nomact" ;
			$dbcontroller = new DBController();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}	
	
	public function getFe(){
		$syseli="Eliminado";
		if (isset($_REQUEST['factura'])){$factura=$_REQUEST['factura'];}else{$factura="";}
		if($tipo=="l"){
			$query = "SELECT * FROM documentos where codigo!='".$factura."' " ;
			$dbcontroller = new DBController();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
	}	
	
	public function getEspecialidad(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
	   	if (isset($_REQUEST['especialidad'])){$especialidad=$_REQUEST['especialidad'];}else{$especialidad="";}
		if (isset($_REQUEST['observacion'])){$observacion=$_REQUEST['observacion'];}else{$observacion="";}
		if($tipo=="r"){
			$query = "insert into lawesp(nomesp,obsesp) values('".$especialidad."','".$observacion."')";
			$dbcontroller = new DBController();
			$Resp = $dbcontroller->executeInsertQuery($query);
			if($Resp!="ok"){
				return "ERROR";
			}
		}
		if($tipo=="l"){
			$query = "SELECT * FROM lawesp where estesp!='".$syseli."' order by nomesp" ;
			$dbcontroller = new DBController();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}
	
	public function getProceso(){
		$syseli="Eliminado";
		if (isset($_REQUEST['fuente'])){$fuente=$_REQUEST['fuente'];}else{$fuente="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['remision'])){$remision=$_REQUEST['remision'];}else{$remision="";}
		if (isset($_REQUEST['observacion'])){$observacion=$_REQUEST['observacion'];}else{$observacion="";}
		if (isset($_REQUEST['nriper'])){$nriper=$_REQUEST['nriper'];}else{$nriper="";}
	   	if (isset($_REQUEST['fecha'])){$fecha=$_REQUEST['fecha'];}else{$fecha="";}
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['tipele'])){$tipele=$_REQUEST['tipele'];}else{$tipele="";}
		if (isset($_REQUEST['sede'])){$sede=$_REQUEST['sede'];}else{$sede="";}
		
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		
		if($accion=="conse"){
			$query = "select * from actids where namdbf='".$fuente."' and codsed='".$sede."'";
			$dbcontroller = new $DBclase();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			echo uniqid();
			return $this->mobiles;
		}
		if($accion=="nume"){
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
		   	$conng-> set_charset("utf8");
			if($result = $conng->query("select modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele, modcmp.apifel,licemp.keyfel,modcmp.chkfte,modcmp.sqltmp,modcmp.sqljson,modcmp.sqlrpt from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
						if($tipele==1){
				           	$queryjson =  $row["sqljson"];
						}else{
							$queryjson =  $row["sqlrpt"];
						}
					}
				}
			}
			$queryjson=$queryjson." and tmpdet.nrorem='".$remision."'";
			
			if($tipele!=1){//se valida si no es electronico para reemplazar facele por regnum
				$queryjson=str_replace('facele','regnum',$queryjson);
			}
			//debo validar si ya esta guardada factura para consultar y no registrarla
			if($tipo=="l"){
				if($tipele==1){
					$query="select * from facele where codfte='".$fuente."'"." and nrorem='".$remision."'";
				}else{
					$query="select * from regnum where codfte='".$fuente."'"." and nrorem='".$remision."'";
				}
				
				$dbcontroller = new $DBclase();
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
			if($tipo=="r"){
				if($tipele==1){
					$query = "insert into facele(codfte,nrorem,codsed,nriper,fchcmp,obscmp) value('".$fuente."','".$remision."','".$sede."','".$nriper."','".$fecha."','".$observacion."')";
				}else{
					$query = "insert into regnum(codfte,nrorem,codsed,nriper,fchcmp,obscmp) value('".$fuente."','".$remision."','".$sede."','".$nriper."','".$fecha."','".$observacion."')";
				}
				$dbcontroller = new $DBclase();
				$this->mobiles = $dbcontroller->executeInsertQuery($query);
				
				$query=$queryjson;
				if($fuente=""){
					echo $query;
				}
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
			if($tipo=="c" ){
				$query=$queryjson;
				$dbcontroller = new $DBclase();
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
		}
	}	
	
	public function getModulo(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}

		if($tipo=="l"){
			if($accion=="e"){
				$query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod and moddet.estado!='".$syseli."' and moddet.modulo='".$modulo."' and moddet.chkpub!=2 order by moddet.bloque,moddet.orden,moddet.nombre" ;
			}elseif($accion=="r" ){
				$query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod and moddet.estado!='".$syseli."' and moddet.modulo='".$modulo."' and moddet.chkpub=1 and chkinf=0 order by moddet.bloque,moddet.orden,moddet.nombre" ;
			}elseif($accion=="l"){
				$query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod and moddet.estado!='".$syseli."' and moddet.modulo='".$modulo."' and  moddet.chkinf=1 order by moddet.bloque,moddet.orden,moddet.nombre" ;			
			}elseif($accion!="e" && $accion!="r" && $accion!="lat" && $accion!="l"){
				$query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod and moddet.estado!='".$syseli."' and moddet.modulo='".$modulo."' and moddet.chkpub=1 and (moddet.chkinf=0 or moddet.chkreq=1) order by moddet.bloque,moddet.orden,moddet.nombre" ;
			}elseif($accion=="lat"){
				//para mostrar los minimos datos para registro del lateral derecho
				$query = "SELECT moddet.*,modcmp.titmod,modcmp.obsmod,modcmp.nommod FROM moddet,modcmp where moddet.modulo=modcmp.nommod and moddet.estado!='".$syseli."' and moddet.modulo='".$modulo."' and moddet.chkpub=1 and moddet.chklat=1 order by moddet.bloque,moddet.orden,moddet.nombre" ;
			}
			if($modulo=='docentes'){
				//echo $query;
			}
			$dbcontroller = new DBController();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}
	
	public function getRegistro(){
		//$db=new PDODBCdnd();
		//$conex=$db->connectDB();
		//$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['campo'])){$vcampo=$_REQUEST['campo'];}else{$vcampo="";}
		if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['factura'])){$factura=$_REQUEST['factura'];}else{$factura="";}
		if (isset($_REQUEST['cxml'])){$cxml=$_REQUEST['cxml'];}else{$cxml="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['prefijo'])){$prefijo=$_REQUEST['prefijo'];}else{$prefijo="";}
		if (isset($_REQUEST['nombre'])){$nombre=$_REQUEST['nombre'];}else{$nombre="";}//
		if (isset($_REQUEST['email'])){$email=$_REQUEST['email'];}else{$email="";}
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['condicion'])){$condicion=$_REQUEST['condicion'];}else{$condicion="";}
		if (isset($_REQUEST['orden'])){$orden=$_REQUEST['orden'];}else{$orden="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
		if (isset($_REQUEST['identidad'])){$identidad=$_REQUEST['identidad'];}else{$identidad="";}
		if (isset($_REQUEST['consld'])){$consld=$_REQUEST['consld'];}else{$consld=0;}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['tipele'])){$tipele=$_REQUEST['tipele'];}else{$tipele="";}
		//echo "campo".$campo;
		//$PDODBCgral="PDODBCdnd";//pdo a bd dnd
		//if($codemp!=''){$PDODBclase="PDODBC".$codemp;}else{$PDODBclase="PDODBController";}//esto para trabajar con el PDO
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		
		if($modulo=='usuariosakd'){$DBclase="DBCakdcomunicate";}
		$jsondatos=utf8_decode($jsondatos);
		if($tipo=="r"){
			$tabla="";
			$rutafel="";//ruta api factura electronia
			$keyfel="";//key factura electronica
			$rutadsp="";//ruta api documento soporte
			$keydsp="";//key documento soporte
			$chkfte=0;
			$camposadi="";
			$camposexc="";
			$sqltmp="";
			$chksal=0;
			$chkusu=0;
			$nomemp="";
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   		$conng-> set_charset("utf8");
			if($result = $conng->query("select modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
			           	$tabla =  $row["tabla"];
						$tabla2 =  $row["tabadi"];
						$camposadi= $row["datadi"];
						$camposexc= $row["datexc"];
						$tabele = $row["tabele"];
						$camposele = $row["datele"];
						$rutafel= $row["apifel"];
						$keyfel= $row["keyfel"];
						$rutadsp=$row["apidsp"];
						$keydsp=$row["keydsp"];
						$chkfte= $row["chkfte"];
						$veditar= $row["chkedi"];
						$sqltmp= $row["sqltmp"];
						$chksal= $row["chksal"];
						$chkusu= $row["chkusu"];
						$nomemp= $row["nomemp"];
						if($row["proyecto"]=='adm'){$DBclase="DBController";}
            	   	} mysqli_free_result($result);
				}
			}
			
			
			if($tabla==""){
				return "ERROR";
			}
			
			//$jsondatos=utf8_encode($jsondatos);
 			$dcod = json_decode($jsoncampos);
 			$prop = get_object_vars ( $dcod );
 			$ddat = json_decode($jsondatos);
 			$pdat = get_object_vars ( $ddat );
			$camposusr="";$datosusr="";
			//echo $ddat;
			//echo $jsondatos;
			if($accion!="e" && strlen($veditar)>=5 ){//es con el objetivo de verificar que de acuerdo al campo principal no haya registro duplicado de cedula x ej
				$cdato="";
				$i=0;
				while ($i < $j) {

					if(trim($campo.$prop['c'.$i])==trim($veditar)){
						$cdato= $pdat[$prop['c'.$i]];
					}
					
					//seleccionar datos de usuario
						if($chkusu==1){
							
							if(trim($campo.$prop['c'.$i])=='nriper'){
								$camposusr=$camposusr.'nriper';
								$datosusr=$datosusr.'"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($campo.$prop['c'.$i])=='no1per'){
								$camposusr=$camposusr.',nomper';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($campo.$prop['c'.$i])=='emlper'){
								$camposusr=$camposusr.',nomusu';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($campo.$prop['c'.$i])=='clave' or trim($campo.$prop['c'.$i])=='conusu' ){
								$camposusr=$camposusr.',conusu';
								$clave=encriptar($pdat[$prop['c'.$i]]);
								echo $clave;
								$datosusr=$datosusr.',"'.$clave.'"';
							}
							if(trim($campo.$prop['c'.$i])=='rol'){
								$camposusr=$camposusr.',rol';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
						}
					$i++;
				}
				$query="select * from ".$tabla." where ".$veditar."='".$cdato."' ";
				//echo $query;
				$dbcontroller = new $DBclase();
				$Resp = $dbcontroller->executeSelectQuery($query);
				$nr=sizeof($Resp);
				if ($nr>=1 && $accion!='detalle'){
					$accion="ed";
				}
				//echo $Resp;
			}
			$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
			$camposa_ed="";$datosa_ed="";
			
 			if(($accion=="e" || $accion=="ed") ){
				//echo $accion.'seccion editar';
				$i=0;
				$z=0;
				$camposusr="";
				$datosusr="";
				while ($i < $j) {
					//if($prop['c'.$i] != $veditar){ //Verificar como excluyo la variable z es para comparar; Tambien si hay campos a excluir se deben evitar por aqui y añadir la 2da 
						$cvalor=$pdat[$prop['c'.$i]];
						$cvalor=str_replace('u00d1','Ñ',$cvalor);
						$cvalor=str_replace('<br>','\n',$cvalor);
						
						$pos=strpos($camposexc,$prop['c'.$i]);//se valida que campos no este en excluir
						if ($pos === false ) {
							if($z>0 ){
								$campo=$campo.',';
							}
							$campo= $campo.$prop['c'.$i].'="'.$cvalor.'"';
							
							//$campo= $campo.$prop['c'.$i].'="'.str_replace('<br>','\n',$pdat[$prop['c'.$i]]).'"';
							//$campo= $campo.$prop['c'.$i].'="'.str_replace('u00d1','Ñ',$pdat[$prop['c'.$i]]).'"';
							$z=1;
						}
						//Verificar que si existe en tabla adicional y accion=ed se debe obligar a que editen
						if($camposadi!=''){
							$pos=strpos($camposadi,$prop['c'.$i]);
							if ($pos !== false) {
								if($camposa!=""){
									$camposa_ed=$camposa_ed.','; 
									$camposa=$camposa.',';
									$datosa=$datosa.',';
								}
								$camposa_ed= $camposa_ed.$prop['c'.$i].'="'.$cvalor.'"';
								$camposa= $camposa.$prop['c'.$i];//opcioon de insertar para que se pueda usar si existe en tabla2
								$datosa = $datosa.'"'.$cvalor.'"';
							}
						}
						
						if($chkusu==1  ){
							
							if(trim($prop['c'.$i])=='nriper'){
								$camposusr=$camposusr.'nriper';
								$datosusr=$datosusr.'"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($prop['c'.$i])=='no1per'){
								$camposusr=$camposusr.',nomper';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($prop['c'.$i])=='emlper'){
								$camposusr=$camposusr.',nomusu';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
							if(trim($prop['c'.$i])=='clave' or trim($prop['c'.$i])=='conusu'){
								$camposusr=$camposusr.',conusu';
								echo $clave;
								$clave=encriptar($pdat[$prop['c'.$i]]);
								$datosusr=$datosusr.',"'.$clave.'"';
							}
							if(trim($prop['c'.$i])=='rol'){
								$camposusr=$camposusr.',rol';
								$datosusr=$datosusr.',"'.$pdat[$prop['c'.$i]].'"';
							}
					
						}
						
					//}
						$i++;
				}
				if($accion=="ed"){
					if($veditar!=""){
						$query=" update ".$tabla." set ".$campo." where ".$veditar."='".$cdato."'";
					}else{return "ERROR";}
				}else{
					if($veditar!=""){
						$query=' update '.$tabla.' set '.$campo.' where '.$veditar.'="'.$vcampo.'"';
					}else{
						$query=' update '.$tabla.' set '.$campo.' where Id="'.$vcampo.'"';
					}
				}
				//echo $query;
			}
			//echo $query;
			if($accion!="e" && $accion!="ed"){
				$campo="insert into ".$tabla."(";
				$datos=" values(";
				if($tabla2!=""){
					$camposa="";
					$datosa="";
				}
				$camposel="";
				$datosel="";
				//echo $camposexc;
				$i=0;
				while ($i < $j) {
					$cvalor=$pdat[$prop['c'.$i]];
					$cvalor=str_replace('u00d1','Ñ',$cvalor);
					$cvalor=str_replace('<br>','\n',$cvalor);
						
					if($camposexc!='' && $accion!='detalle'){
						$pos=strpos($camposexc,$prop['c'.$i]);
						if ($pos === false ) {
							if($i>0){
								$campo=$campo.',';
								$datos=$datos.',';
							}
							$campo= $campo.$prop['c'.$i];
							$datos=$datos.'"'.$cvalor.'"';
						}
					}else{
						if($i>0){
							$campo=$campo.',';
							$datos=$datos.',';
						}
						$campo= $campo.$prop['c'.$i];
						$datos=$datos.'"'.$cvalor.'"';
					}
					if($camposadi!=''){
						$pos=strpos($camposadi,$prop['c'.$i]);
						if ($pos !== false) {
							if($camposa!=""){
								$camposa=$camposa.','; 
								$datosa=$datosa.',';
							}
							$camposa= $camposa.$prop['c'.$i];
							$datosa = $datosa.'"'.$cvalor.'"';
						}
					}
					if($camposele!=""){
						$pos=strpos($camposele,$prop['c'.$i]);
						if ($pos !== false) {
							if($camposel!=""){
								$camposel=$camposel.','; 
								$datosel=$datosel.',';
							}
							$camposel= $camposel.$prop['c'.$i];
							$datosel = $datosel.'"'.$cvalor.'"';
						}
					}
					
					
					$i++;
				}
				//p es factura electronica, d caja menor documento soporte
				if(($tipocmp=='p' || $tipocmp=='d') && $accion!='detalle'){
					$campo= $campo.',nrocmp,obsxml)';
					if($tipocmp=='d'){
							$datos= $datos.",'".$factura."','".$cxml."')";
					}else{
						$datos= $datos.',"'.$factura.'","'.$cxml.'")';
					}
				}else{
					if($accion=='detalle'){
						$campo= $campo.',usuario';
						$datos= $datos.',"'.$usuario.'"';
					}
					if($tipocmp=='TRS'){//pendiente armar estretegia para el numero de la orden
						//$campo= $campo.',nroord)';
						//$datos= $datos.',"'.$factura.'","'.$cxml.'")';
					}
					$campo= $campo.')';
					$datos= $datos.')';
					
				}
				$query = $campo.$datos;
				if($modulo=="Evolucion" ){
					//echo $query.' - '.$camposexc;
				}
				
			}
			
			if($modulo=="Evolucion" ){
				//echo $query.' - '.$camposexc;
			}
			$dbcontroller = new $DBclase();//Ejecuta el query armado segun condiciones
			
			if($accion=='detalle'){
				$query=str_replace($tabla,'tmpdet',$query);//reemplazo tabla por cardet
				//echo $query;
				$Resp = $dbcontroller->executeInsertQuery($query);
				if($tipocmp=='TRS'  ){
					$query=str_replace('tmpdet',$tabla2,$query);
					$Resp = $dbcontroller->executeInsertQuery($query);
					
				}
				if($chksal==1){
					$query=str_replace('tmpdet','invkde',$query);
					$query=str_replace($tabla2,'invkde',$query);
					$query=str_replace('canart','cansal',$query);
					$query=str_replace('artcos','vrusal',$query);
					$query=str_replace('fchcmp','fchkde',$query);
					//echo $query;
					$Resp = $dbcontroller->executeInsertQuery($query);
				}
				
				//Guardando todo registro de orden de servicio
				$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
				$dbcontroller->executeInsertQuery($query);
				/////////////////////////////////////////////////
				
				//echo $query;
				if($sqltmp!=''){
					$query=$sqltmp.'and tmpdet.nrorem="'.$consecutivo.'"';
					$this->mobiles = $dbcontroller->executeSelectQuery($query);
					if($tipocmp=="HCLI"){
						//echo $query;
					}
					return $this->mobiles;
				}
			}else{
				//echo $query.$DBclase;
				$Resp = $dbcontroller->executeInsertQuery($query);
				
				//Guardando todo registro de orden de servicio
				$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
				$dbcontroller->executeInsertQuery($query);
				///////////////////////////////////////////////////////
			}
			if($chkusu==1){//registrando usuarios
				//consultar si usario esta creado, en tal caso, si existe adicionar solo permiso de la empresa y sino existe poner pordefecto la empresa que esta registrando actualmente**************adicional encriptar la clave en la parte superior.
				$peremp="{code: '".$codemp."',name: '".$nomemp."'}";
				$query = 'insert into usrweb('.$camposusr.',peremp,dftemp) values ('.$datosusr.',"'.$peremp.'","'.$codemp.'")';
				echo $query;
				if($result = $conng->query($query)){
					$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
					$dbcontroller->executeInsertQuery($query);
				}
			}
			if($tipocmp=='TRS'){
			
				//Realizar consulta de la orden de servicio almacenada para enviarla a imprimir desde js.
				if($accion!='detalle'){
					$query="select * from spt_orden where nrorem='".$consecutivo."' ";
					//echo $query;
					$this->mobiles = $dbcontroller->executeSelectQuery($query);
					return $this->mobiles;
				}
			}
			if($modulo=='remision_medica' || $modulo=='recetasmed' ){
			
				//Realizar consulta de la orden de servicio almacenada para enviarla a imprimir desde js.
				if($accion!='detalle'){
					$query="select * from ".$tabla." where nrorem='".$consecutivo."' ";
					//echo $query;
					$this->mobiles = $dbcontroller->executeSelectQuery($query);
					return $this->mobiles;
				}
			}
			if(($tipocmp=='p' || $tipocmp=='d')){
				if($tabla2!=""){//Aqui agrego el insert adicional que me permite crear el rol de usuario.
					//return "ERROR";
					//21-12-2012 Aqui, se debe hacer consulta del tmpdet para seleccionar cada item y guardarlo en cardet; de igual forma se debe hacer el proceso para el movimiento contable y la cartera. ideal seperar ese tipo de proceso de este bloque
					$camposa= $camposa.',nrocmp)';
					$datosa= $datosa.',"'.$factura.'")';
					$query = "insert into ".$tabla2."(".$camposa." values (".$datosa;
					//echo $query;
					$dbcontroller = new $DBclase();
					$Resp = $dbcontroller->executeInsertQuery($query);
					
					
					$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
					$dbcontroller->executeInsertQuery($query);
				}
				if($tabele!="" && $tipele==1){
					if($tipocmp=='p'){
						$ruta=$rutafel."?keyemp=".$keyfel."&numero=".$consecutivo."&chkfte=".$chkfte."&documento=".$factura."&prefijo=".$prefijo."&empresa=".$codemp."&accion=P";
					}
					if($tipocmp=='d'){
						$ruta=$rutadsp."?numero=".$consecutivo."&chkfte=".$chkfte."&documento=".$factura."&prefijo=".$prefijo."&empresa=".$codemp."&accion=DS";
					}
					$camposel= $camposel.',codigo,estructura,codemp,chkfte,consecutive,prefijo,estado,rutaenvio,email,nombre)';
					if($tipocmp=='p'){
						$datosel= $datosel.',"'.$factura.'","'.$cxml.'","'.$codemp.'","'.$chkfte.'","'.$consecutivo.'","'.$prefijo.'","ACTIVO","'.$ruta.'","'.$email.'","'.$nombre.'")';
					}
					if($tipocmp=='d'){
						$datosel= $datosel.",'".$factura."','".$cxml."','".$codemp."','".$chkfte."','".$consecutivo."','".$prefijo."','ACTIVO','".$ruta."','".$email."','".$nombre."')";
					}
					$query = "insert into ".$tabele."(".$camposel." values (".$datosel;
					if($result = $conng->query($query)){
						
						$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
					$dbcontroller->executeInsertQuery($query);
						
						$query="select rutaenvio from ".$tabele." where codigo='".$factura."' and codemp='".$codemp."'";
						if($result = $conng->query($query)){
							while($row=mysqli_fetch_assoc($result)) {
								$resultset[] = $row;
							}
							return $resultset;
						}
					}else{
						//echo $query;
						return $Resp;
					}
				}

				return $Resp;
			}else{
				if(trim($tabla2)!=""){//Aqui se guarda en la tabla adicional. siempre y cuando no sea modulo transaccional
					//verificar si tamaño de datoss es igual a vacio y camposa es  <> vacio que en ese caso se debe ver si existe en la 2da tabla y 
						if($cdato==''){$cdato=$vcampo;}
						$query="select * from ".$tabla2." where ".$veditar."='".$cdato."' ";
						//echo $query;
						$dbcontroller = new $DBclase();
						$Resp = $dbcontroller->executeSelectQuery($query);
						$nr=sizeof($Resp);
						if ($nr>=1 ){//poner query de actualizar
							$query=' update '.$tabla2.' set '.$camposa_ed.' where '.$veditar.'="'.$cdato.'"';
						}else{//poner query de insert
							$camposa= $camposa.')';
							$datosa= $datosa.')';
							$query = "insert into ".$tabla2."(".$camposa." values (".$datosa;
						}
						//if( $modulo=='administrativo'){
							echo $query.$camposexc;
						//}
						$dbcontroller = new $DBclase();
						$Resp = $dbcontroller->executeInsertQuery($query);
						
						$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
						$reg = $dbcontroller->executeInsertQuery($query);
					}
				}
				
		}
		if($tipo=="l"){
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   		$conng-> set_charset("utf8");
	   		if($result = $conng->query("select listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod='".$modulo."'")) {//Se extrae los datos del modulo 
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
						if($row["chkele"]==1 && $accion!='v'){//se verifica si es documento electronico
		            		$query =  $row["sqlele"]." and codemp='".$codemp."'";
						}else{
							$query =  $row["listasql"];//consulta sql para informe general
							if($modulo=="cajamenor"){//pte analizar*********************************
								$query = $query." and carcmp.nrocmp='".$vcampo."'";
							}
						}
						if($rol=="empleado" and $modulo=='volantesnom'){//if rol es empleado solo traer los datos del mismo
							$query =  $query." and nriper='".$identidad."'";
						}
						if($accion=="i"){//if accion es i query sera el usado para mostrar que se pueda seleccionar
							$query =  $row["sqlinit"];
						}
						if($accion=="s"){//if accion es s query sera para modal tipo busqueda tiempo real
							$query =  $row["sqlsearch"];
							$valor=trim($valor);
							$query = str_replace("VVV", $valor, $query); // aqui reemplaza por VVV el valor que se haya escrito en la busqueda real
							//echo $query;
						}
						if($accion=="detalle"){// si accion solo consulta lo almacen en tabla temporal
							$query =  $row["sqltmp"];
						}
						$tabla = $row["tabla"];//tabla principal del modulo
						$tabqts = $row["tabqts"];//tabla 
						if($row["proyecto"]=='adm' || $rol=='empleado' || $row["chkint"]==1 || $row["chkele"]==1){$DBclase="DBController";}//Asigno la base de datos dnd para datos generales
						if($accion=="e"){
							$query=$row["sqledit"];
							//$query="select * from ".$tabla." where estado!='Eliminado' and id='".$vcampo."'";	
							if($modulo=='cli_paciente' or $modulo=='medicos'){	
								$query=	str_replace("VVV", $vcampo, $query);
							}else{
								$query=	$query." and id='".$vcampo."' ";				
							}
						}
						
						if($accion=="b"){
							if($consld==0){
								//if($tabqts!=' '){
								//	$query=$row["sqlqst"];
								//}else{
									$query=$row["sqllost"];
								//}
								//aqui si es busqueda y tabqts es <> vacio reemplazar tabla por ella
								
							}else{
								$query=$row["sqlres"];//Para consultar resumen de la busqueda
							}
							if($condicion!=''){
								if($modulo=='cli_paciente' or $modulo=='medicos'){
									$condicion=str_replace($modulo,'a',$condicion);
								}else{
									$condicion=str_replace($modulo,$tabla,$condicion);//reemplazo modulo por tabla, para que no afecte si hay dobles campos en consulta compuesta
								}
								$query=$query." ".$condicion;
								
							}else{
								$query = str_replace("CCC", $vcampo, $query);
								$query = str_replace("VVV", $valor, $query);	
							}
							if($orden!=""){
								if($modulo=='cli_paciente' or $modulo=='medicos'){
									$orden=str_replace($modulo,'a',$orden);
									//echo $query;
								}else{
									$orden=str_replace($modulo,$tabla,$orden);//reemplazo modulo por tabla, para que no afecte si hay dobles campos en consulta compuesta
								}
								$query=$query." order by ".$orden;
							}
							if($rol=="empleado" && $modulo=='volantesnom'){//esto para volantes de nomina rol empleado
								$query =  $query." and nomweb.nriper='".$identidad."'";
							}
							if($tabqts!=" "){
							//	$query = str_replace($tabla, $tabqts, $query);
							}
							//echo $DBclase;
							//echo $query;		
						}else{
							if(strlen($condicion)>1){
								$condicion=str_replace($modulo,$tabla,$condicion);
								$query=$query." ".$condicion;
								//echo $query;
							}
							if(strlen($orden)>1){
								$orden=str_replace($modulo,$tabla,$orden);
								$query=$query." ".$orden;
								//echo $query;
							}
						}
						if($modulo=="facturae" ){
							$query="select documentos.*,licemp.keyfel,licemp.modope,prvtec.rutfel,prvtec.rutnce from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$vcampo."'";							
						}

                	} mysqli_free_result($result);
					//echo $query;
					if($modulo=="ciudad"){
						//echo $query;
					}
					$dbcontroller = new $DBclase();
					if($modulo=="citapaciente" ){
						//echo $query;
					}
					$this->mobiles = $dbcontroller->executeSelectQuery($query);
					//return $DBclase->user;
					return $this->mobiles;
				}
			}
		}
		
	}
	

	
	
	public function getMenu(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
		if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		
		//if($codemp!='' && $codemp!='dnd'){$DBclase="DBC".$codemp;}else{$DBclase="DBController";}
		
		if($tipo=="r"){
			$query = "insert into lawpro(nompro,codesp,nomesp,obspro) values('".$proceso."','".$especialidad."','".$especialidad."','".$observacion."')";
			$dbcontroller = new $DBclase();
			$Resp = $dbcontroller->executeInsertQuery($query);
			if($Resp!="ok"){
				return "ERROR";
			}
		}
		if($tipo=="l"){
			$query = "SELECT nommod,titmod,obsmod,link,proyecto,menu,smenu FROM modcmp where (proyecto like '%".$proyecto."%'";
			if($proyecto!="Adm" && $proyecto!="Admempire"){
				$query = $query." ) ";
			}else{
				//$query = "SELECT nommod,titmod,obsmod,link,proyecto,menu,smenu FROM modcmp where (proyecto like'%".$proyecto."%' or proyecto like'%glb%' ) ";
				$query = $query." or proyecto like'%glb%' )";
			}
			if($rol!="" and $rol!="admin"){
				$query = $query." and rol='".$rol."' ";
			}
			$query = $query." order by menu,smenu,orden";
			//echo $query;
			$dbcontroller = new DBController();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}	
	
	public function getAliaddofe(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['documento'])){$documento=$_REQUEST['documento'];}else{$documento="";}
		if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		
		if($tipo=="l"){
			/*$query = "SELECT * FROM documentos where codigo='".$documento."' and codemp='".$empresa."' " ;*/
			if($accion=="NE"){
				$query = "select nomele.*,licemp.keynel as keyfel,licemp.openom as modope,prvtec.rutnel as rutfel,licemp.tesidne from nomele,licemp,prvtec where licemp.prvnel=prvtec.codprv and nomele.empresa=licemp.conedb and nomele.estado!='Eliminado' and nomele.codigo='".$documento."' and nomele.empresa='".$empresa."' ";	
			}else{			
				$query = "select documentos.*, licemp.keyfel, licemp.modope, prvtec.rutfel, licemp.prvfel, prvtec.rutnce from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' ";		
			}
			//return $query;
			//condicionar de que si es dataico, haga proceso desde aqui mismo
			$dbcontroller = new DBControllerfe();
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}	
	
	public function getDataico(){
		$syseli="Eliminado";
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['documento'])){$documento=$_REQUEST['documento'];}else{$documento="";}
		if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
		if (isset($_REQUEST['keyemp'])){$keyemp=$_REQUEST['keyemp'];}else{$keyemp="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		
		if($tipo=="l"){
			/*$query = "SELECT * FROM documentos where codigo='".$documento."' and codemp='".$empresa."' " ;*/
			if($accion=="NE"){
				$query = "select nomele.*,nomele.json as estructura,licemp.keynel as keyfel,licemp.openom as modope,prvtec.rutnel as rutfel,licemp.tesidne from nomele,licemp,prvtec where licemp.prvnel=prvtec.codprv and nomele.empresa=licemp.conedb and nomele.estado!='Eliminado' and nomele.codigo='".$documento."' and nomele.empresa='".$empresa."' ";	
			}else{
				if($accion=="NC"){
					$query = "select documentos.*,licemp.keyfel,licemp.modope,prvtec.rutnce as rutfel,licemp.prvfel from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' and licemp.chkaut>0 ";		
				}else{
					$query = "select documentos.*,licemp.keyfel,licemp.modope,prvtec.rutfel,licemp.prvfel from documentos,licemp,prvtec where licemp.prvfel=prvtec.codprv and documentos.codemp=licemp.conedb and documentos.estado!='Eliminado' and documentos.codigo='".$documento."' and documentos.codemp='".$empresa."' and licemp.chkaut>0 ";		
				}
			}
			
			//echo $query;
			$conng = mysqli_connect('69.197.152.107','usufe','Naty@2012*','dnd');
	   		$conng-> set_charset("utf8");
	   		if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
						if( $row["codfte"]=='FE' or $accion='NC'){
							$vJson =  $row["jsond"];
						}else{
			       			$vJson =  $row["estructura"];
						}
						$vRuta = $row["rutfel"];
						$vToken= $row["keyfel"];
           	   		} mysqli_free_result($result);
					//echo $vJson;
					// Inicializar la petición
					$curl = curl_init();
					// Serializar o pasar la factura a JSON
					//$isvInvoice = json_encode($vJson);
					$isvInvoice = $vJson;
					/**
					 * - Enviar una factura a la DIAN, en modo pruebas
					 * - Realizar request por metodo POST
 					*/
					curl_setopt_array($curl, array(
    				CURLOPT_URL => $vRuta,
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_ENCODING => "",
    				CURLOPT_MAXREDIRS => 10,
    				CURLOPT_TIMEOUT => 30,
    				CURLOPT_POST => 1,
    				CURLOPT_POSTFIELDS => $isvInvoice,
    				CURLOPT_HTTPHEADER => array(
					// Adicionar cabeceras de autenticación con token Bearer generado  en el panel izquierdo
       				// "auth-token: 4facc5070884f0e15d9dc05c3ee4fb6b",
					 "auth-token: ".$vToken,
					 //"x-api-key: key-f40695c4e66c43aeb3e2a05c854ced08-001981",
					// Tipo de requerimiento formato json
       				 "content-type: application/json",
        			 "cache-control: no-cache",
        			 "accept: application/json"
   					 )
					));
					
					//echo $vToken;
					//echo "antes de exe curl";
					// Ejecutar la petición
					$response = curl_exec($curl);
					
					// Almacenar error en caso de que exista
					$err = curl_error($curl);
					echo $err;
					// Mostar respuesta o error si hubo alguno
					if ($err) {
   						 echo "error -> " . $err;
						 // Terminar petición
						curl_close($curl);
					} else {
    					//echo $response;
						//$jSon=file_get_contents($response);
						$datos=json_decode($response,true); 
						//var_dump($datos);
						$rPdf="";
						$rXml="";
						$cufe="";
						$qr="";
						$Uid="";
						foreach($datos as $index => $value ){
							//echo "$index:$value <br>";
							if(strcmp($index,"pdf_url")==0){
								$rPdf=$value;
							}
							if(strcmp($index,"xml_url")==0){
								$rXml=$value;
							}
							if(strcmp($index,"cufe")==0){
								$cufe=$value;
							}
							if(strcmp($index,"qrcode")==0){
								$qr=$value;
							}
							if(strcmp($index,"uuid")==0){
								$Uid=$value;
							}
						}
						//echo $rPdf.$cufe.$qr.$rXml;
						$query="";
						if($rPdf!=""){
							if($accion=="NE"){
								$query="update nomele set rutapdf='".$rPdf."',rutaxml='".$rXml."',qr='".$qr."',respuesta='".$response."' where codigo='".$documento."' and empresa='".$empresa."'";
							}
							if($accion=="FE" || $accion=="D"){
								$query="update documentos set rutapdf='".$rPdf."',rutaxml='".$rXml."',qr='".$qr."',respuesta='".$response."', idfactura='".$Uid."',cufe='".$cufe."' where codigo='".$documento."' and codemp='".$empresa."'";
							}
							if($accion=="DS"){
								$query="update documentos_sp set rutapdf='".$rPdf."',rutaxml='".$rXml."',qr='".$qr."',respuesta='".$response."' where codigo='".$documento."' and codemp='".$empresa."'";
							}
						}
						curl_close($curl);
						//echo $query;
						if($query!=''){
							if($result = $conng->query($query)) {
								$query="select * from documentos where estado!='Eliminado' and codigo='".$documento."' and codemp='".$empresa."' ";
								$dbcontroller = new DBControllerfe();
								$this->mobiles = $dbcontroller->executeSelectQuery($query);
								return $this->mobiles;
							}else{
								return "ERROR";
							}
						}
							

					} 
					
				}
				
			}
	   }
	   if($tipo=="C"){
		   $vToken="";
		   	$conng = mysqli_connect('69.197.152.107','usufe','Naty@2012*','dnd');
	   		$conng-> set_charset("utf8");
	   		$query="select * from licemp where conedb='".$empresa."'";
			if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
						$vToken= $row["keyfel"];
           	   		} mysqli_free_result($result);
				}else{
					return 0;
				}
			}else{
			}
		   $vRuta = "https://api.dataico.com/dataico_api/v2/invoices?number=".$documento;

			$curl = curl_init();
			curl_setopt_array($curl, array(
    				CURLOPT_URL => $vRuta,
    				CURLOPT_RETURNTRANSFER => true,
    				CURLOPT_MAXREDIRS => 10,
    				CURLOPT_TIMEOUT => 30,
    				CURLOPT_HTTPHEADER => array(
					 "auth-token: ".$vToken,
					 "content-type: application/json",
        			 "cache-control: no-cache",
        			 "accept: application/json"
   					 )
					));
					// Ejecutar la petición
					$response = curl_exec($curl);
					// Almacenar error en caso de que exista
					$err = curl_error($curl);
					// Mostar respuesta o error si hubo alguno
					if ($err) {
   						 $vErr= "error -> " . $err;
						 return $vErr;
						 // Terminar petición
						curl_close($curl);
					} else {
    					//echo $response;
						// Terminar petición
						curl_close($curl);
						$datos=json_decode($response); 
						return $datos;
					}

	   	}
	}	
	
	public function getUpdatede(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['documento'])){$documento=$_REQUEST['documento'];}else{$documento="";}
		if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
		if (isset($_REQUEST['rid'])){$rid=$_REQUEST['rid'];}else{$rid="";}
		if (isset($_REQUEST['rcufe'])){$rcufe=$_REQUEST['rcufe'];}else{$rcufe="";}
		if (isset($_REQUEST['rcune'])){$rcune=$_REQUEST['rcune'];}else{$rcune="";}
		if (isset($_REQUEST['rqr'])){$rqr=$_REQUEST['rqr'];}else{$rqr="";}
		if (isset($_REQUEST['rpdf'])){$rpdf=$_REQUEST['rpdf'];}else{$rpdf="";}
		if (isset($_REQUEST['rxml'])){$rxml=$_REQUEST['rxml'];}else{$rxml="";}
		if (isset($_REQUEST['rzip'])){$rzip=$_REQUEST['rzip'];}else{$rzip="";}
		if (isset($_REQUEST['rest'])){$rest=$_REQUEST['rest'];}else{$rest="";}
		if (isset($_REQUEST['rfch'])){$rfch=$_REQUEST['rfch'];}else{$rfch="";}
		if (isset($_REQUEST['rfecha'])){$rfecha=$_REQUEST['rfecha'];}else{$rfecha="";}
		
		if($tipo=="l"){
			if($rcune!=""){
				$query = "update nomele set idnomina='".$rid."',cune='".$rcune."',qr='".$rqr."',rutapdf='".$rpdf."' where codigo='".$documento."' and empresa='".$empresa."' " ;
				
				$dbcontroller = new DBControllerfe();
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;

			}
			if($rcufe!=""){
				$query = "update documentos set idfactura='".$rid."',cufe='".$rcufe."',qr='".$rqr."',rutapdf='".$rpdf."',rutaxml='".$rxml."',rutazip='".$rzip."',dianstatereason='".$rest."',fchgenera='".$rfecha."',fechafirma='".$rfch."' where codigo='".$documento."' and codemp='".$empresa."' " ;
				
				$dbcontroller = new DBControllerfe();
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				echo $query;
				return $this->mobiles;
				
				
			}
			
			
		}
		return "echo_k";
		
	}	
	
	public function getUpersona(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['campo'])){$vcampo=$_REQUEST['campo'];}else{$vcampo="";}
		if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['factura'])){$factura=$_REQUEST['factura'];}else{$factura="";}
		if (isset($_REQUEST['cxml'])){$cxml=$_REQUEST['cxml'];}else{$cxml="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['prefijo'])){$prefijo=$_REQUEST['prefijo'];}else{$prefijo="";}
		if (isset($_REQUEST['nombre'])){$nombre=$_REQUEST['nombre'];}else{$nombre="";}//
		if (isset($_REQUEST['email'])){$email=$_REQUEST['email'];}else{$email="";}
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['condicion'])){$condicion=$_REQUEST['condicion'];}else{$condicion="";}
		if (isset($_REQUEST['orden'])){$orden=$_REQUEST['orden'];}else{$orden="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
		if (isset($_REQUEST['identidad'])){$identidad=$_REQUEST['identidad'];}else{$identidad="";}
		if (isset($_REQUEST['consld'])){$consld=$_REQUEST['consld'];}else{$consld=0;}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['tipele'])){$tipele=$_REQUEST['tipele'];}else{$tipele="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$nomempresa="";
		$nidentidad="";
		$uRol="";
		if($modulo=='usuariosakd'){$DBclase="DBCakdcomunicate";}
		$jsondatos=utf8_decode($jsondatos);
		if($tipo=="r"){
			$tabla="";
			$chkfte=0;
			$camposadi="";
			$camposexc="";
			$sqltmp="";
			$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   		$conng-> set_charset("utf8");
			if($result = $conng->query("select modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele, modcmp.apifel,licemp.keyfel,licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,licemp.nomper,modcmp.roluweb from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
			           	$tabla =  $row["tabla"];
						$tabla2 =  $row["tabadi"];
						$camposadi= $row["datadi"];
						$camposexc= $row["datexc"];
						$veditar= $row["chkedi"];
						$sqltmp= $row["sqltmp"];
						$nomempresa=$row["nomper"];
						$uRol=$row["roluweb"];
						if($row["proyecto"]=='adm'){$DBclase="DBController";}
            	   	} mysqli_free_result($result);
				}
			}
			if($tabla==""){
				return "ERROR";
			}
			$Uweb="";
 			$dcod = json_decode($jsoncampos);
 			$prop = get_object_vars ( $dcod );
 			$ddat = json_decode($jsondatos);
 			$pdat = get_object_vars ( $ddat );
			if($accion!="e" && strlen($veditar)>=5 ){
				$cdato="";
				$i=0;
				while ($i < $j) {
					if($campo.$prop['c'.$i]==$veditar){
						$cdato= $pdat[$prop['c'.$i]];
					}
					$i++;
				}
				$query="select * from ".$tabla." where ".$veditar."='".$cdato."' ";
				$dbcontroller = new $DBclase();
				$Resp = $dbcontroller->executeSelectQuery($query);
				$nr=sizeof($Resp);
				if ($nr>=1){
					$accion="ed";
				}
				echo $Resp;
			}
 			if($accion=="e" || $accion=="ed"){
				$i=0;
				while ($i < $j) {
					if($i>0 ){
						$campo=$campo.',';
					}
					$campo= $campo.$prop['c'.$i].'="'.$pdat[$prop['c'.$i]].'"';
					$i++;
					
					if($camposadi!=''){
						$pos=strpos($camposadi,$prop['c'.$i]);
						if ($pos !== false) {
							if($camposa!=""){
								if($prop['c'.$i]=='emlper'){
									$Uweb=$pdat[$prop['c'.$i]];
								}
								if($prop['c'.$i]=='nriper'){
									$nidentidad=$pdat[$prop['c'.$i]];
								}
								$camposa=$camposa.','; 
								$datosa=$datosa.',';
							}
							$camposa= $camposa.$prop['c'.$i];
							$datosa = $datosa.'"'.$pdat[$prop['c'.$i]].'"';
						}
					}
					
				}
				if($accion=="ed"){
					if($veditar!=""){
						$query=" update ".$tabla." set ".$campo." where ".$veditar."='".$cdato."'";
					}else{return "ERROR";}
				}else{
					$query=" update ".$tabla." set ".$campo." where Id='".$vcampo."'";
				}
			}
			if($accion!="e" && $accion!="ed"){
				$campo="insert into ".$tabla."(";
				$datos=" values(";
				if($tabla2!=""){
					$camposa="";
					$datosa="";
				}
				$i=0;
				while ($i < $j) {
					if($camposexc!='' && $accion!='detalle'){
						$pos=strpos($camposexc,$prop['c'.$i]);
						if ($pos === false ) {
							if($i>0){
								$campo=$campo.',';
								$datos=$datos.',';
							}
							$campo= $campo.$prop['c'.$i];
							$datos=$datos.'"'.$pdat[$prop['c'.$i]].'"';
						}
					}else{
						if($i>0){
							$campo=$campo.',';
							$datos=$datos.',';
						}
						$campo= $campo.$prop['c'.$i];
						$datos=$datos.'"'.$pdat[$prop['c'.$i]].'"';
					}
					if($camposadi!=''){
						$pos=strpos($camposadi,$prop['c'.$i]);
						if ($pos !== false) {
							if($camposa!=""){
								if($prop['c'.$i]=='emlper'){
									$Uweb=$pdat[$prop['c'.$i]];
								}
								if($prop['c'.$i]=='nriper'){
									$nidentidad=$pdat[$prop['c'.$i]];
								}
								$camposa=$camposa.','; 
								$datosa=$datosa.',';
							}
							$camposa= $camposa.$prop['c'.$i];
							$datosa = $datosa.'"'.$pdat[$prop['c'.$i]].'"';
						}
						
					}
					$i++;
				}
				$campo= $campo.')';
				$datos= $datos.')';
				$query = $campo.$datos;
			}
			$dbcontroller = new $DBclase();
			$Resp = $dbcontroller->executeInsertQuery($query);
			// VERIFICAR SI USUARIO EXISTE(OK)
			$query="select * from usrweb where nomusu='".$Uweb."'";
			if($result = $conng->query($query)) {
   				$nr= $result->num_rows;
				if($nr>=1){
					while($row=mysqli_fetch_assoc($result)) {
			           	$sqltmp= $row["sqltmp"];
						//if($row["proyecto"]=='adm'){$DBclase="DBController";}
            	   	} mysqli_free_result($result);
					//HACER PROCESO PARA ACTUALIZARLE AL USUARIO LOS DATOS DE EMPRESAS (PTE)
				}else{
					$Upass=encriptar($nidentidad);
					$eJson="{code: '".$codemp."',name: '".$nomempresa."'}";
					$camposa=str_replace("emlper", "nomusu", $camposa);
					$camposa= $camposa.",conusu,peremp,dftemp,rol";
					$datosa= $datosa.',"'.$Upass.'","'.$eJson.'","'.$codemp.'","'.$uRol.'"';
					$camposa=  "insert into usrweb(".$camposa.')';
					$datosa= " value(".$datosa.')';
					$query = $camposa.$datosa;
					
					
				}
			}
			echo $query;
			$DBclase="DBController";
			$dbcontroller = new $DBclase();
			$Resp = $dbcontroller->executeInsertQuery($query);
			return $Resp;
			//MANDAR EMAIL DE BIENVENIDA AL USUARIO(PTE)
			
		}
		
	}
	
	public function getHorario(){
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['nrimed'])){$nrimed=$_REQUEST['nrimed'];}else{$nrimed="";}
		if (isset($_REQUEST['horaIni'])){$horaIni=$_REQUEST['horaIni'];}else{$horaIni="";}
		if (isset($_REQUEST['horaFin'])){$horaFin=$_REQUEST['horaFin'];}else{$horaFin="";}
		if (isset($_REQUEST['fchini'])){$fchini=$_REQUEST['fchini'];}else{$fchini="";}
		if (isset($_REQUEST['fchfin'])){$fchfin=$_REQUEST['fchfin'];}else{$fchfin="";}
		if (isset($_REQUEST['chksab'])){$chksab=$_REQUEST['chksab'];}else{$chksab="";}
		if (isset($_REQUEST['chkfes'])){$chkfes=$_REQUEST['chkfes'];}else{$chkfes="";}
		if (isset($_REQUEST['codsed'])){$codsed=$_REQUEST['codsed'];}else{$codsed="";}
		if (isset($_REQUEST['codesp'])){$codesp=$_REQUEST['codesp'];}else{$codesp="";}
		if (isset($_REQUEST['codofi'])){$codofi=$_REQUEST['codofi'];}else{$codofi="";}		
		if (isset($_REQUEST['canMinuto'])){$canMinuto=$_REQUEST['canMinuto'];}else{$canMinuto="";}
		if (isset($_REQUEST['condicion'])){$condicion=$_REQUEST['condicion'];}else{$condicion="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		if($modulo=='usuariosakd'){$DBclase="DBCakdcomunicate";}
		
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabla"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
			
		if($tabla==""){
			return "ERROR";
		}
		//consultar festivos del año en tabla interna
		$fecha=$fchini;
		$anio = date("Y", strtotime($fecha));
		$query="select fchfes from crefes where year='".$anio."' ";
		if($result = $conng->query($query)){
			while($row=mysqli_fetch_assoc($result)) {
				$arrayfecha[] = strtotime($row["fchfes"]);
			}
		}
		//Se debe verificar que ese horario no haya sido Asignado ya sea el medico o el consultorio dependiendo de la sede y la capacidad del mismo
		$hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$hIni=$horaIni;
		while(strtotime($fecha)<=strtotime($fchfin)) {
			$hIni=$horaIni;

			$nD = validar_dia_syf($fecha,$chksab,$chkfes,$fchfin,$arrayfecha);
			$fecha=date("d-m-Y",strtotime($fecha."+ ".$nD." days"));

		 	while(strtotime($hIni)<strtotime($horaFin) and strtotime($fecha)<=strtotime($fchfin)) {//comparo los segundos de la hora inicial y la hora maxima del horario
				$seg_hInicial=strtotime($hIni);
 				$seg_minAdi=$canMinuto*60;
 				$hFin=date("H:i",$seg_hInicial+$seg_minAdi);
				$cFch=date("Y-m-d H:i:s",strtotime($fecha));
				$query = "insert into cli_citas(fchcmp,horini,horfin,canMinuto,nrimed,insUsuario,insFecha,codsed,codesp,codofi) values('".$cFch."','".$hIni."','".$hFin."','".$canMinuto."','".$nrimed."','".$usuario."','".$hoy."','".$codsed."','".$codesp."','".$codofi."')";
				$dbcontroller = new $DBclase();
				$Resp = $dbcontroller->executeInsertQuery($query);
				
				if($Resp!="ok"){
					echo $query;
					return "ERROR";
				}
				$hIni=$hFin;
				
			}
			$fecha=date("d-m-Y",strtotime($fecha."+ 1 days"));
			
		}

		return "ERROR";
	}
	
	
	public function getAdicional(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['paciente'])){$paciente=$_REQUEST['paciente'];}else{$paciente="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$chkfte=0;
		$camposadi="";
		$camposexc="";
		$sqltmp="";
		$chksal=0;
		$chkusu=0;
		$nomemp="";
		$tabla2 = "";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select  modcmp.tabdet,modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabdet"];
					$tabla2 =  $row["tabadi"];
					$camposadi= $row["datadi"];
					$camposexc= $row["datexc"];
					$chkfte= $row["chkfte"];
					$veditar= $row["chkedi"];
					$sqltmp= $row["sqltmp"];
					$chksal= $row["chksal"];
					$chkusu= $row["chkusu"];
					$nomemp= $row["nomemp"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
		if($tabla==""){
			return "ERROR";
		}
 		$dcod = json_decode($jsoncampos);
 		$prop = get_object_vars ( $dcod );
 		$ddat = json_decode($jsondatos);
 		$pdat = get_object_vars ( $ddat );
		$camposusr="";$datosusr="";
		if($accion!="e" && strlen($veditar)>=5 ){//es con el objetivo de verificar que de acuerdo al campo principal no se de duplicidad
			$cdato="";
			$i=0;
			while ($i < $j) {
				if(trim($campo.$prop['c'.$i])==trim($veditar)){
					$cdato= $pdat[$prop['c'.$i]];
				}
				$i++;
			}
			$query="select * from ".$tabla." where ".$veditar."='".$cdato."' ";
			$dbcontroller = new $DBclase();
			$Resp = $dbcontroller->executeSelectQuery($query);
			$nr=sizeof($Resp);
			if ($nr>=1 && $accion!='detalle'){
				$accion="ed";
			}
		}
		$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$camposa_ed="";$datosa_ed="";
 		if(($accion=="e" || $accion=="ed") ){
			$i=0;
			$z=0;
			$camposusr="";
			$datosusr="";
			while ($i < $j) {
				//if($prop['c'.$i] != $veditar){ //Verificar como excluyo la variable z es para comparar; Tambien si hay campos a excluir se deben evitar por aqui y añadir la 2da 
				$cvalor=$pdat[$prop['c'.$i]];
				$cvalor=str_replace('u00d1','Ñ',$cvalor);
				$cvalor=str_replace('<br>','\n',$cvalor);
				$pos=strpos($camposexc,$prop['c'.$i]);//se valida que campos no este en excluir
				if ($pos === false ) {
					if($z>0 ){
						$campo=$campo.',';
					}
					$campo= $campo.$prop['c'.$i].'="'.$cvalor.'"';
					$z=1;
				}
				//Verificar que si existe en tabla adicional y accion=ed se debe obligar a que editen
				if($camposadi!=''){
					$pos=strpos($camposadi,$prop['c'.$i]);
					if ($pos !== false) {
						if($camposa!=""){
							$camposa_ed=$camposa_ed.','; 
							$camposa=$camposa.',';
							$datosa=$datosa.',';
						}
						$camposa_ed= $camposa_ed.$prop['c'.$i].'="'.$cvalor.'"';
						$camposa= $camposa.$prop['c'.$i];//opcioon de insertar para que se pueda usar si existe en tabla2
						$datosa = $datosa.'"'.$cvalor.'"';
					}
				}
				$i++;
			}
			if($accion=="ed"){
				if($veditar!=""){
					$query=" update ".$tabla." set ".$campo." where ".$veditar."='".$cdato."'";
				}else{return "ERROR";}
			}else{
				if($veditar!=""){
					$query=' update '.$tabla.' set '.$campo.' where '.$veditar.'="'.$vcampo.'"';
				}else{
					$query=' update '.$tabla.' set '.$campo.' where Id="'.$vcampo.'"';
				}
			}
		}

		if($accion!="e" && $accion!="ed"){
			$campo="insert into ".$tabla."(";
			$datos=" values(";
			if($tabla2!=""){
				$camposa="";
				$datosa="";
			}
			$camposel="";
			$datosel="";
			$i=0;
			while ($i < $j) {
				$cvalor=$pdat[$prop['c'.$i]];
				$cvalor=str_replace('u00d1','Ñ',$cvalor);
				$cvalor=str_replace('<br>','\n',$cvalor);
					
				if($camposexc!='' && $accion!='detalle'){
					$pos=strpos($camposexc,$prop['c'.$i]);
					if ($pos === false ) {
						if($i>0){
							$campo=$campo.',';
							$datos=$datos.',';
						}
						$campo= $campo.$prop['c'.$i];
						$datos=$datos.'"'.$cvalor.'"';
					}
				}else{
					if($i>0){
						$campo=$campo.',';
						$datos=$datos.',';
					}
					$campo= $campo.$prop['c'.$i];
					$datos=$datos.'"'.$cvalor.'"';
				}
				if($camposadi!=''){
					$pos=strpos($camposadi,$prop['c'.$i]);
					if ($pos !== false) {
						if($camposa!=""){
							$camposa=$camposa.','; 
							$datosa=$datosa.',';
						}
						$camposa= $camposa.$prop['c'.$i];
						$datosa = $datosa.'"'.$cvalor.'"';
					}
				}
				$i++;
			}
			if($accion=='detalle'){
				$campo= $campo.',usuario,insFecha';
				$datos= $datos.',"'.$usuario.'"'.',"'.$hoy.'"';
			}
			$campo= $campo.')';
			$datos= $datos.')';
			$query = $campo.$datos;
		}
		//echo $query;
		$dbcontroller = new $DBclase();//se asigna la conexion segun empresa
		if($accion=='detalle'){
			$Resp = $dbcontroller->executeInsertQuery($query);
			if($chksal==1){
				$query=str_replace($tabla,'invkde',$query);
				$query=str_replace($tabla2,'invkde',$query);
				$query=str_replace('canart','cansal',$query);
				$query=str_replace('artcos','vrusal',$query);
				$query=str_replace('fchcmp','fchkde',$query);
				$Resp = $dbcontroller->executeInsertQuery($query);
			}
			$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
			$dbcontroller->executeInsertQuery($query);
			if($sqltmp!=''){
				$query=$sqltmp;
				if(trim($paciente)!=""){
					$query=$query.' and '.$tabla.'.nriper="'.$paciente.'"  order by fchcmp';
				}else{
					$query=$query.' and '.$tabla.'.nrorem="'.$consecutivo.'"  order by fchcmp';
				}
				//echo $query;
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
		}
	}
	
	public function getEliminadetalle(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['item'])){$item=$_REQUEST['item'];}else{$item="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['paciente'])){$paciente=$_REQUEST['paciente'];}else{$paciente="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$chkfte=0;
		$sqltmp="";
		$nomemp="";
		$tabla2 = "";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select  modcmp.tabdet,modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabdet"];
					$tabla2 =  $row["tabadi"];
					$sqltmp= $row["sqltmp"];
					$nomemp= $row["nomemp"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
		if($tabla==""){
			return "ERROR";
		}
 		$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$dbcontroller = new $DBclase();//se asigna la conexion segun empresa
		$query='update '.$tabla.' set estado="Eliminado",eliUsuario="'.$usuario.'",eliFecha="'.$hoy.'" where Id='.$item;
		
		$Resp = $dbcontroller->executeInsertQuery($query);
		
		$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
		$Resp = $dbcontroller->executeInsertQuery($query);
		//echo $query;
		if($sqltmp!=''){
			$query=$sqltmp;
			if(trim($paciente)!=""){
				$query=$query.' and '.$tabla.'.nriper="'.$paciente.'"  order by fchcmp';
			}else{
				$query=$query.' and '.$tabla.'.nrorem="'.$consecutivo.'"  order by fchcmp';
			}
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
		
	}
	
	public function getFiltrardetalle(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['item'])){$item=$_REQUEST['item'];}else{$item="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['paciente'])){$paciente=$_REQUEST['paciente'];}else{$paciente="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$chkfte=0;
		$sqltmp="";
		$nomemp="";
		$tabla2 = "";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select  modcmp.tabdet,modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabdet"];
					$tabla2 =  $row["tabadi"];
					$sqltmp= $row["sqltmp"];
					$nomemp= $row["nomemp"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
		if($tabla==""){
			return "ERROR";
		}
 		$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$dbcontroller = new $DBclase();//se asigna la conexion segun empresa
		$query=$sqltmp;
		if(trim($paciente)!=""){
			$query=$query.' and '.$tabla.'.nriper="'.$paciente.'"  order by fchcmp';
		}else{
			$query=$query.' and '.$tabla.'.nrorem="'.$consecutivo.'"  order by fchcmp';
		}
		//echo $query;
		if($sqltmp!=''){
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
		
	}
	
	public function getEditdetalle(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['Id'])){$Id=$_REQUEST['Id'];}else{$Id=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['paciente'])){$paciente=$_REQUEST['paciente'];}else{$paciente="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$sqltmp="";
		$nomemp="";
		$tabla2 = "";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select  modcmp.tabdet,modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabdet"];
					$tabla2 =  $row["tabadi"];
					$veditar= $row["chkedi"];
					$sqltmp= $row["sqltmp"];
					$nomemp= $row["nomemp"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
		if($tabla==""){
			return "ERROR";
		}
 		$dcod = json_decode($jsoncampos);
 		$prop = get_object_vars ( $dcod );
 		$ddat = json_decode($jsondatos);
 		$pdat = get_object_vars ( $ddat );
		$camposusr="";$datosusr="";
		
		$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$camposa_ed="";$datosa_ed="";
 		if(($accion=="e" || $accion=="ed") ){
			$i=0;
			$z=0;
			$camposusr="";
			$datosusr="";
			while ($i < $j) {

				$cvalor=$pdat[$prop['c'.$i]];
				$cvalor=str_replace('u00d1','Ñ',$cvalor);
				$cvalor=str_replace('<br>','\n',$cvalor);
				
					if($z>0 ){
						$campo=$campo.',';
					}
					$campo= $campo.$prop['c'.$i].'="'.$cvalor.'"';
					$z=1;
				
				$i++;
			}
			$query=' update '.$tabla.' set '.$campo.' where Id="'.$Id.'" ';
		}
		//echo $query;
		$dbcontroller = new $DBclase();//se asigna la conexion segun empresa
		//if($accion=='detalle'){
			$Resp = $dbcontroller->executeInsertQuery($query);
			if($chksal==1){
				$query=str_replace($tabla,'invkde',$query);
				$query=str_replace($tabla2,'invkde',$query);
				$query=str_replace('canart','cansal',$query);
				$query=str_replace('artcos','vrusal',$query);
				$query=str_replace('fchcmp','fchkde',$query);
				$Resp = $dbcontroller->executeInsertQuery($query);
			}
			$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
			$dbcontroller->executeInsertQuery($query);
			if($sqltmp!=''){
				$query=$sqltmp;
				//if(trim($paciente)!=""){
					$query=$query.' and '.$tabla.'.nriper="'.$paciente.'" order by fchcmp';
				//}else{
				//	$query=$query.' and '.$tabla.'.nrorem="'.$consecutivo.'"';
				//}
				//echo $query;
				$this->mobiles = $dbcontroller->executeSelectQuery($query);
				return $this->mobiles;
			}
		//}
	}
	public function getEditseccion(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['consecutivo'])){$consecutivo=$_REQUEST['consecutivo'];}else{$consecutivo="";}//
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['Id'])){$Id=$_REQUEST['Id'];}else{$Id=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if (isset($_REQUEST['paciente'])){$paciente=$_REQUEST['paciente'];}else{$paciente="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		$jsondatos=utf8_decode($jsondatos);
		$tabla="";
		$sqltmp="";
		$nomemp="";
		$tabla2 = "";
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
   		$conng-> set_charset("utf8");
		if($result = $conng->query("select  modcmp.tabdet,modcmp.tabla,modcmp.tabadi,modcmp.datadi,modcmp.proyecto,modcmp.chkedi,modcmp.datexc,modcmp.tabele,modcmp.datele,modcmp.apifel,licemp.keyfel, licemp.keydsp,licemp.apidsp,modcmp.chkfte,modcmp.sqltmp,modcmp.chksal,modcmp.chkusu,licemp.nomper as nomemp from modcmp,licemp where modcmp.titular=licemp.titular and modcmp.nommod='".$modulo."' and licemp.conedb='".$codemp."'")) {
			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
		           	$tabla =  $row["tabla"];
					$tabla2 =  $row["tabadi"];
					$veditar= $row["chkedi"];
					$sqltmp= $row["sqltmp"];
					$nomemp= $row["nomemp"];
					if($row["proyecto"]=='adm'){$DBclase="DBController";}
           	   	} mysqli_free_result($result);
			}
		}
		if($tabla==""){
			return "ERROR";
		}
 		$dcod = json_decode($jsoncampos);
 		$prop = get_object_vars ( $dcod );
 		$ddat = json_decode($jsondatos);
 		$pdat = get_object_vars ( $ddat );
		$camposusr="";$datosusr="";
		
		$hoy = $hoy = date("Y-m-d H:i:s");// Para seguimiento de transacciones
		$camposa_ed="";$datosa_ed="";
 		if(($accion=="e" || $accion=="ed") ){
			$i=0;
			$z=0;
			$camposusr="";
			$datosusr="";
			while ($i < $j) {

				$cvalor=$pdat[$prop['c'.$i]];
				$cvalor=str_replace('u00d1','Ñ',$cvalor);
				$cvalor=str_replace('<br>','\n',$cvalor);
				
					if($z>0 ){
						$campo=$campo.',';
					}
					$campo= $campo.$prop['c'.$i].'="'.$cvalor.'"';
					$z=1;
				
				$i++;
			}
			$query=' update '.$tabla.' set '.$campo.' where Id="'.$Id.'" ';
		}
		$dbcontroller = new $DBclase();//se asigna la conexion segun empresa
		$Resp = $dbcontroller->executeInsertQuery($query);
		$query="insert into registros(modulo,observacion,usuario,fchIngreso) values('".$modulo."','".$query."','".$usuario."','".$hoy."')";
		$dbcontroller->executeInsertQuery($query);
		if($sqltmp!=''){
			$query=$sqltmp;
			$query=$query.' and '.$tabla.'.nriper="'.$paciente.'" order by fchcmp';
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}else{
			return "OK";
		}
	}
	
	
	/*public function getConsulta(){
		
		if($accion!='detalle'){
			$query="select * from cli_remision where nrorem='".$consecutivo."' ";
			$this->mobiles = $dbcontroller->executeSelectQuery($query);
			return $this->mobiles;
		}
		
	}*/
	
	public function getAgendamed(){
		if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
		if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
		if (isset($_REQUEST['usuario'])){$usuario=$_REQUEST['usuario'];}else{$usuario="";}
		if (isset($_REQUEST['campo'])){$vcampo=$_REQUEST['campo'];}else{$vcampo="";}
		if (isset($_REQUEST['valor'])){$valor=$_REQUEST['valor'];}else{$valor="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['nombre'])){$nombre=$_REQUEST['nombre'];}else{$nombre="";}//
		if (isset($_REQUEST['email'])){$email=$_REQUEST['email'];}else{$email="";}
		if (isset($_REQUEST['jsondatos'])){$jsondatos=$_REQUEST['jsondatos'];}else{$jsondatos="";}
		if (isset($_REQUEST['jsoncampos'])){$jsoncampos=$_REQUEST['jsoncampos'];}else{$jsoncampos="";}
		if (isset($_REQUEST['condicion'])){$condicion=$_REQUEST['condicion'];}else{$condicion="";}
		if (isset($_REQUEST['orden'])){$orden=$_REQUEST['orden'];}else{$orden="";}
		if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
		if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
		if (isset($_REQUEST['identidad'])){$identidad=$_REQUEST['identidad'];}else{$identidad="";}
		if (isset($_REQUEST['fchcmp'])){$fchcmp=$_REQUEST['fchcmp'];}else{$fchcmp="";}
		if (isset($_REQUEST['j'])){$j=$_REQUEST['j'];}else{$j=0;}
		if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
		if (isset($_REQUEST['tipocmp'])){$tipocmp=$_REQUEST['tipocmp'];}else{$tipocmp="";}
		if($codemp!='' && $modulo!='modulo' && $rol!='empleado'){
			$DBclase="DBC".$codemp;
		}else{
			$DBclase="DBController";
		}
		
		if($modulo=='usuariosakd'){$DBclase="DBCakdcomunicate";}
		$jsondatos=utf8_decode($jsondatos);
		
		$conng = mysqli_connect('66.70.255.14','netempire_elsycb','Tm3Y@1CtWn67','netempire_elsy');
	   	$conng-> set_charset("utf8");
	   	if($result = $conng->query("select listasql,tabla,tabqts,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod='".$modulo."'")) {//Se extrae los datos del modulo 
   			$nr= $result->num_rows;
			if($nr>=1){
				while($row=mysqli_fetch_assoc($result)) {
					if($row["chkele"]==1 && $accion!='v'){//se verifica si es documento electronico
		           		$query =  $row["sqlele"]." and codemp='".$codemp."'";
					}else{
						$query =  $row["listasql"];//consulta sql para informe general
						if($modulo=="cajamenor"){//pte analizar*********************************
							$query = $query." and carcmp.nrocmp='".$vcampo."'";
						}
					}
					$tabla = $row["tabla"];//tabla principal del modulo
					$dbcontroller = new $DBclase();
					
					if($accion=="b"){//Se consulta las citas de la agenda
						if($consld==0){
							$query=$row["sqllost"];
						}else{
							$query=$row["sqlres"];//Para consultar resumen de la busqueda
						}
						if($condicion!=''){
							$condicion=str_replace($modulo,$tabla,$condicion);
							$query=$query." ".$condicion;
						
						}else{
							$query = str_replace("CCC", $vcampo, $query);
							$query = str_replace("VVV", $valor, $query);	
						}
						$query=$query." and week(fchcmp)=WEEK('".$fchcmp."') ";
						if($orden!=""){
							$orden=str_replace($modulo,$tabla,$orden);//reemplazo modulo por tabla, para que no afecte si hay dobles campos en consulta compuesta
							$query=$query." order by ".$orden;
						}
						//echo $query;
						//Guardar en registro de control la acciona realizada
						
						$this->mobiles = $dbcontroller->executeSelectQuery($query);
						return $this->mobiles;
					}
					if($accion=='e'){//Se reserva la cita medica
						$dcod = json_decode($jsoncampos);
				 		$prop = get_object_vars ( $dcod );
				 		$ddat = json_decode($jsondatos);
						$pdat = get_object_vars ( $ddat );
						$camposa_ed="";$datosa_ed="";
						$i=1;
						$z=0;
						$camposusr="";
						$datosusr="";
						while ($i < $j) {
							$cvalor=$pdat[$prop['c'.$i]];
							$cvalor=str_replace('u00d1','Ñ',$cvalor);
							$cvalor=str_replace('<br>','\n',$cvalor);
						
							$pos=strpos($camposexc,$prop['c'.$i]);//se valida que campos no este en excluir
							if ($pos === false ) {
								if($z>0 ){
									$campo=$campo.',';
								}
								$campo= $campo.$prop['c'.$i].'="'.$cvalor.'"';
					
								$z=1;
							}
							$i++;
						}
						//echo $campo;
						$query=' update '.$tabla.' set '.$campo.' where Id="'.$vcampo.'"';
						
						$dbcontroller->executeInsertQuery($query);
						return $this->mobiles;
					}

					
				}
			}
		}
	}
	
}
?>